libosp5_1.5.2-13+b1_amd64.deb


Advertisement

Description

libosp5 - Runtime library for OpenJade group's SP suite

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libosp5_1.5.2-13+b1_amd64.deb
Package name libosp5
Package version 1.5.2
Package release 13+b1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage -
License -
Maintainer Neil Roeth <neil@debian.org>
Download size 925.47 KB
Installed size 2.61 MB

Alternatives

Package Version Architecture Repository
libosp5_1.5.2-13+b1_i386.deb 1.5.2 i386 Debian Main
libosp5 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 5

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libosp5_1.5.2-13+b1_amd64.deb
Source Package opensp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libosp5 deb package:
    # sudo apt-get install libosp5

Files

Path
/usr/lib/libosp.so.5
/usr/lib/libosp.so.5.0.0
/usr/share/doc/libosp5/AUTHORS
/usr/share/doc/libosp5/NEWS.gz
/usr/share/doc/libosp5/README
/usr/share/doc/libosp5/README.Debian
/usr/share/doc/libosp5/buildinfo_amd64.gz
/usr/share/doc/libosp5/changelog.Debian.amd64.gz
/usr/share/doc/libosp5/changelog.Debian.gz
/usr/share/doc/libosp5/changelog.gz
/usr/share/doc/libosp5/copyright
/usr/share/doc/libosp5/releasenotes.html
/usr/share/doc/libosp5/releasenotes.pdf.gz
/usr/share/doc/libosp5/releasenotes.ps.gz
/usr/share/locale/de/LC_MESSAGES/OpenSP.mo
/usr/share/locale/fr/LC_MESSAGES/OpenSP.mo
/usr/share/locale/ja/LC_MESSAGES/OpenSP.mo
/usr/share/locale/sv/LC_MESSAGES/OpenSP.mo
/usr/share/locale/tr/LC_MESSAGES/OpenSP.mo

Changelog

2015-10-29 - Neil Roeth <neil@debian.org>
opensp (1.5.2-13) unstable; urgency=medium
* Revert NMU accidentally removed in last version.
2015-10-29 - Neil Roeth <neil@debian.org>
opensp (1.5.2-12) unstable; urgency=medium
* Removed build dependency on openjade1.3.
2014-08-24 - Andreas Barth <aba@ayous.org>
opensp (1.5.2-11.1) unstable; urgency=low
* Non-maintainer upload.
* Use dh-autoreconf to allow building on ppc64el. Closes: #747127, #759104
2014-03-06 - Neil Roeth <neil@debian.org>
opensp (1.5.2-11) unstable; urgency=medium
* Apply patch to enable bootstrap building. (Closes: #738449).
* Fixed some lintian warnings - removed brace expansion in *.install
files, switched to dpkg-buildflags to eliminate hardening warnings.
2011-10-08 - Neil Roeth <neil@debian.org>
opensp (1.5.2-10) unstable; urgency=low
* Change order of build dependency on openjade/openjade1.3 to work
around build issue. (Closes: #643845).
* Stop including libosp.la in the libosp-dev package. (Closes: #628588).
2011-05-30 - Neil Roeth <neil@debian.org>
opensp (1.5.2-9) unstable; urgency=low
* Fixed bug reading locale files (closes: #611710).  Required changes to
autotools scripts:
- Use AX_DEFINE_DIR instead of AC_DEFINE_DIR.
- Define SP_LOCALE_DIR as value of "localedir" rather than "datadir/locale".
* Other autotools changes indirectly required by the above:
- Added --warnings=no-portability to automake call.
- Added AC_USE_SYSTEM_EXTENSIONS.
* Updated standards version to 3.9.2.0 (no changes, but filed bug 628588
for policy recommendation regarding .la files).
2009-10-04 - Neil Roeth <neil@debian.org>
opensp (1.5.2-8) unstable; urgency=low
* Switch from deprecated xpdf-utils to poppler-utils in build
depends. (Closes: #549394).
* Updated standards version to 3.8.3.0 (no changes).
2009-07-01 - Neil Roeth <neil@debian.org>
opensp (1.5.2-7) unstable; urgency=low
* Build with updated version of g++; removed use of g++ 4.1 on arm since
it appears to work with later compiler now. (Closes: #533805).
* Fix man page by removing gap. (Closes: #530962).
* Updated standards version (no changes).
* Updated to debhelper compat level 7.
2008-07-08 - Neil Roeth <neil@debian.org>
opensp (1.5.2-6) unstable; urgency=low
* Compile with g++ 4.1 on arm. (Closes: #479273).
2008-04-18 - Neil Roeth <neil@debian.org>
opensp (1.5.2-5) unstable; urgency=low
* Use pdftops instead of pdf2ps in the hope that it works on hppa and
sparc. pdf2ps has lots of bugs filed for problems on that
architecture. Correspondingly depend on xpdf-utils instead of
gs-common.

See Also

Package Description
libosptk-dev_4.13.0-1_amd64.deb OSP Toolkit development library and header files
libosptk4_4.13.0-1_amd64.deb OSP Toolkit shared library
liboss4-salsa-asound2_4.2-build2017-1_amd64.deb OSS to Alsa compatibility library - binary compatibility symlink
liboss4-salsa2_4.2-build2017-1_amd64.deb OSS to Alsa compatibility library
libossim-dev_2.6.2-1_amd64.deb OSSIM library -- development files
libossim1_2.6.2-1_amd64.deb OSSIM library -- shared library
libossp-sa-dev_1.2.6-2_amd64.deb Abstraction library for the Unix socket API
libossp-sa12_1.2.6-2_amd64.deb Abstraction library for the Unix socket API
libossp-uuid-dev_1.6.2-1.5+b7_amd64.deb OSSP uuid ISO-C and C++ - headers and static libraries
libossp-uuid-perl_1.6.2-1.5+b7_amd64.deb perl OSSP::UUID - OSSP uuid Perl Binding
libossp-uuid16_1.6.2-1.5+b7_amd64.deb OSSP uuid ISO-C and C++ - shared library
libostree-1-1_2019.1-1_amd64.deb content-addressed filesystem for operating system binaries (library)
libostree-dev_2019.1-1_amd64.deb Development files for the libostree library
libostree-doc_2019.1-1_all.deb Development documentation for the libostree library
libostyle-dev_1.4devel1-21.3+b1_amd64.deb OpenJade libraries, developer support
Advertisement
Advertisement